#! /bin/bash
#
# befehl.sh [-r] [Befehl]
#
# 2017 Juli
#

for session in $(screen -ls | grep -o '[0-9]\+\.mausdaemon_befehl')
do
  screen -S "${session}" -X quit
done

screen -d -m -S mausdaemon_befehl
sleep 1
echo "screen-session fuer Befehl gestartet."

if [ "$1" = "-r" ]; then
  screen -S mausdaemon_befehl -X stuff $"$2\n"
  screen -S mausdaemon_befehl -X stuff $'exit\n'
else
  BENUTZER=`w | awk '$3==":0" { print $1 }' | head -1`
#  screen -S mausdaemon_befehl -X stuff $"su -l $BENUTZER\n"
  screen -S mausdaemon_befehl -X stuff $"sudo -u $BENUTZER $1\n"
  screen -S mausdaemon_befehl -X stuff $'exit\n'
fi

exit 0

